# deleteInstance

deletes a instance of the type

          typedef void* TypeInstanceID;

    	void deleteInstance
            TypeInstanceID instance

## Arguments

`instance`

  This is the identifier of the instance to delete.

## Description

After using a type object for the last time it must be deleted to free all reserved resources like memory or temporary discspace. `instance` identifies the type object created with the `createInstance` function of the same type. The caller must ensure not to mix the type identifiers of one type with the functions of another type. After calling this method the object `instance` is invalid. The instance identifier mustn't used anymore. All type instances created with `newInstance` must be destroyed with `deleteInstance` before calling `shutDown` of their type.